@import url("https://fonts.googleapis.com/css2?family=Poppins:wght@400;500&display=swap");
body{
 background-image:url('img/bg.jpg');   
 
   color: #ccc;
  display:inline;
  max-width: 100%;
background-position: center center;
    background-repeat: no-repeat;
    background-attachment: fixed;
    background-color: black;
    min-height: 100vh;
    font-family:'poppins',sans-serif;
    line-height: 1.6;
  
}
* {
    box-sizing: border-box;
    padding: 0;
    margin: 0;
    overflow: hidden;
}
.hidden{
    display:none;
}
.wb-body{
    background: #3f3445;
    padding:20px;
    
}
.winbox{
    background: linear-gradient(90deg,#1c075c,#1bc712);
}
.wb-body{
    margin:4px;
    color:#fff;
}
 a:link{
    color:red;
}
.desktop a:hover{ 
     color: pink;
  background-color: transparent;
  text-decoration: none;
     
 }
 .a:visited{
     color: blue;
 }
 .desktop {
    display: flex;
    align-items: center;
    justify-content: center;
    text-align: center;
    margin-top: 24px;
}

.desktop-elements {
    display: flex;
    flex-wrap: wrap;
}

.desktop-element {
    padding-bottom: 24px;
    flex: 50%;
}

.desktop-icon {
    width: 64px;
    height: 64px;
    filter: drop-shadow(2px 2px 2px white);
}
.desktop-icon-name {
    display: block;
    color: white;
    text-shadow: 2px 2px black;
}
#windows-icon:hover{
    color:rgb(0, 153, 255) !important;

}
.box {
    background-color: rgb(82, 82, 82);
    float: left;
    width: 100px;
    height: 100px;

    margin-left: 10px;
    margin-top:4px;
    
    transition: transform .3s; 
    color:white;
    

  }
.box:hover{
    background-color:rgb(110, 110, 110);
    border: 1px solid #C0C0C0;
    
    
    
}
.box1 {
    background-color: rgb(0, 153, 255);
    float: left;
    width: 230px;
    height: 80px;
    padding: 50px;
    margin-left: 10px;
    margin-top:4px;
    border: 1px solid #C0C0C0;
    transition: transform .3s; 

  }
.box1:hover{
    background-color:rgb(65, 163, 255);
    transform: scale(1.2);
    
    
}
.box2 {
    background-color: rgb(0, 153, 255);
    float: left;
    width: 230px;
    height: 80px;
    padding: 50px;
    margin-left: 10px;
    margin-top:4px;
    border: 1px solid #C0C0C0;
    transition: transform .3s; 

  }
.box2:hover{
    background-color:rgb(65, 163, 255);
    transform: scale(1.2);
    
    
}
.box3 {
    background-color: rgb(0, 153, 255);
    float: left;
    width: 230px;
    height: 80px;
    padding: 50px;
    margin-left: 10px;
    margin-top:4px;
    border: 1px solid #C0C0C0;
    transition: transform .3s; 

  }
.box3:hover{
    background-color:rgb(65, 163, 255);
    transform: scale(1.2);
    
    
}
.start-menu-section {
    position: relative;
}
.start-menu-section .start-menu-elements {
    display: none;
    flex-direction: row;
    flex-wrap: wrap-reverse;
    position: fixed;
    background-color: rgba(47, 47, 51, 0.26);
    color: white;
    filter: drop-shadow(0px 0px 1px #000000);
    bottom: 48px;
    animation: fadeAppearance 1s;
    -webkit-animation: fadeAppearance 1s;
    -moz-animation: fadeAppearance 1s;
    -o-animation: fadeAppearance 1s;
    -ms-animation: fadeAppearance 1s;
    z-index: 1;

}
@keyframes fadeAppearance {
    0% {opacity: 0;}
    100% {opacity: 1;}
}

@-moz-keyframes fadeAppearance {
    0% {opacity: 0;}
    100% {opacity: 1;}
}
  
@-webkit-keyframes fadeAppearance {
    0% {opacity: 0;}
    100% {opacity: 1;}
}
  
@-o-keyframes fadeAppearance {
    0% {opacity: 0;}
    100% {opacity: 1;}
}
  
@-ms-keyframes fadeAppearance {
    0% {opacity: 0;}
    100% {opacity: 1;}
}
.start-col {
    display: flex;
    flex-direction: column-reverse;
    flex-basis: 100%;
    flex: 0.2;
}
.start-left {
    display: flex;
    flex-direction: column;
    flex-basis: 100%;
    flex: 1.5;
    font-size: 16px;
    margin: 30px 18px 16px 18px;
}
.start-right {
    display: flex;
    flex-direction: column;
    flex-basis: 100%;
    flex: 1.5;
    font-size: 16px;
    margin: 0 18px 16px 18px;
}

.start-menu-elements ul {
    list-style: none;
    padding: 5px;
    margin-bottom: 0;
}

.start-menu-elements .start-left ul li {
    
    border-width: 1px 2px 1px 0px;
    border-style: groove;
    border-color: transparent;
    padding: 16px;
    
}
.start-menu-elements .start-right ul li {
    border-width: 0px 1px 0px 0px;
    border-style: groove;
    border-color: transparent;
    padding: 12px 8px;
}

.start-menu-elements ul li:hover {
    background-color: rgba(255, 255, 255, 0.1) !important;
}

.start-menu-elements ul li:hover:not(#start-left-title, #start-right-title) {
    border-color: rgba(255, 255, 255, 0.5);
}

footer {
    position: fixed;
    z-index: 0;
    display: block;
    background: -webkit-linear-gradient(left, rgb(4, 16, 31) 0%, rgb(1, 38, 68) 100%);
    bottom: 0;
    width: 100%;
    color:white;
}

.taskbar a {
    text-align: center;
}

.taskbar a:hover:not(.start-menu-elements a) {
    background-color: rgba(255, 255, 255, 0.1) !important;
}

.taskbar-left {
    font-size: 18px;
    display: inline-block;
    height: 100%;
    margin: 0;
}

.taskbar-left a {
    padding: 10px 16px 10px 16px;
    height: 100%;
    margin: 0 1px;
}

#start-menu-icon:hover {
    color: rgb(0, 153, 255);
}

.taskbar-right {
    font-size: 18px;
    float: right;
    height: 100%;
    margin: 0;
    color: rgba(255, 255, 255, 0.5);
}

.taskbar-right a {
    padding: 10px 8px 10px 8px;
    height: 100%;
}
.row {
    display: flex;
    width: 100%;
}
  
.column {
    display: flex;
    flex-direction: column;
    flex-basis: 100%;
    flex: 1;


}

#current-timestamp {
    display: table-cell;
    font-size: 11px;
    white-space: nowrap;
    width: 168px;
   align-content: center;
   justify-content: center;
}

#current-time, #current-date {
    display: table-row;
    justify-content: center;
}

a#grip {
    height: 100%;
    margin-left: 8px;
    padding-right: 1px;
    border-left: 1px solid rgba(255, 255, 255, 0.5);
    
}

@media only screen and (max-width: 384px) {
    .taskbar-left, .taskbar-right {font-size: 2.5vh;}
    .taskbar-left a {
        padding: 8px 12px 8px 12px;
    }
    .taskbar-right a {
        padding: 8px 6px 8px 6px;
    }
    #current-timestamp {
        font-size: 1.5vh;
    }
}